Subject: Re: [PATCH RFC v2 0/2] Add I2C fwnode lookup/get interfaces

From: Jakub Kicinski <[email-masked]>
Date: Tue, 10 Jan 2023 09:36:04 -0800

On Tue, 10 Jan 2023 13:02:36 +0000 Russell King (Oracle) wrote:
> On Mon, Jan 09, 2023 at 12:48:37PM +0100, Wolfram Sang wrote:
> > > This RFC series is intended for the next merge window, but we will need
> > > to decide how to merge it as it is split across two subsystems. These
> > > patches have been generated against the net-next, since patch 2 depends
> > > on a recently merged patch in that tree (which is now in mainline.)  
> > 
> > I'd prefer to apply it all to my I2C tree then. I can also provide an
> > immutable branch for net if that is helpful.  
> 
> If we go for the immutable branch, then patch 2 might as well be
> merged via the net tree, if net-next is willing to pull your
> immutable branch.
> 
> Dave? Jakub? Paolo? Do you have any preferences how you'd like to
> handle this?

No strong preference here. Immutable branch works.
Patch 2 will stick out in the diffstat for i2c so may indeed be better
to apply it to net-next only, then again perhaps Wolfram prefers to
have the user merged with the API? We're fine either way.